;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Layer 2 Flashlight effect
;
; Coded by GN/Incognito, with help from Kaijyuu and edit1754/SMWEdit.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; sprite code JSL
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

		    PRINT "INIT ",pc
		    PRINT "MAIN ",pc
                    PHB                     
                    PHK                     
                    PLB                     
                    JSR SPRITE_CODE_START   
                    PLB                     
                    RTL      

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; main sprite code
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


SPRITE_CODE_START:
	LDA #$BF
	STA $40	

	LDA #$00
	CMP $9D
	BNE end
	REP #%00100000 

	LDA.w #$00F8 	
	SEC 
	SBC $7E 
	STA $1466 
	STA $1E 

	LDA.w #$00EC 
	SEC 
	SBC $80 

	CMP.w #$FF80 
	BPL FL 

	LDA.w #$FF80 

FL: 	STA $1468 
	STA $20 

end:	SEP #%00100000	; Flashlight mod activated! 1,12 points multiplier.

RTS